Description

I have just run make ManExamples, and there are some problems.

Fix them.

History

#1 - 09 Oct 2019 14:44 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Here is a quick summary of the problems with MaxExamples@ (after I have already fixed a few)

NOTE:  I do not have GFan installed (so get several GFan related err mesgs.

ArrExponents   The input must define a free divisor  ------> fixed 2019-10-10

GFanRelativeInteriorPoint  complains about the fn name

MultiArrExponents  The input must define a free multiarrangement  ------> fixed 2019-10-10

OpenSocket  (correctly) complains it cannot open the socket

ReloadMan  (correctly) complains it cannot find input file

StandardInput  gives a weird error about unclosed string literal

SystemCommand  (correctly) complains that SysCmd was not enabled

#2 - 09 Oct 2019 20:41 - John Abbott

I now see that the errors reported in the examples about hyperplane arrangements are intentional; i.e. the example shows input which must produce

an error.

I'm not sure if this is a good idea.  Right now, my preference is to add to the description that an error is signalled if the input is not "free".

There might be a few exceptions (e.g. for the error function), but in general it is not clear to me what advantage there is to giving examples which are

"deliberately wrong".

Opinions?

#3 - 10 Oct 2019 16:04 - Anna Maria Bigatti

John Abbott wrote:
I now see that the errors reported in the examples about hyperplane arrangements are intentional; i.e. the example shows input which must

produce an error.

 

fixed: commented out and indicated as similar cases:

/**/ IsMultiArrFree(MultiA); --> false

-- /**/ MultiArrExponents(MultiA);  --> !!! ERROR !!! as expected

#4 - 11 Oct 2019 22:12 - John Abbott

- % Done changed from 10 to 50

Running the example on the man page for StandardInput is definitely a problem.  I do not know how to fix this (other than commenting out the call to

GetLine).

Also the man page for SystemCommand also triggers an error (because we do not enable system commands when running ManExamples).  I think it

is better not to enable system command for this (just in case something goes horribly wrong).

What to do?

#5 - 18 Jan 2020 20:40 - John Abbott

I have commented out the example for StandardInput.  Hopefully the user will understand...

#6 - 15 Feb 2020 23:52 - John Abbott

- Status changed from In Progress to Feedback

- Assignee set to John Abbott

- % Done changed from 50 to 90

The current state is that only the entries for OpenSocket, ReloadMan and SystemCommand report errors.

I think this is a reasonable compromise.

Close?

#7 - 24 Feb 2020 16:56 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 3.33 h

Closing, as I believe the current arrangement is acceptable.
